# OpticalCalibration

## Brief Description

Perform optical calibration TOA/TOC (Top Of Atmosphere/Top Of Canopy). Supported sensors: QuickBird, Ikonos, WorldView2, Formosat, Spot5, Pleiades, Spot6. For other sensors the application also allows to provide calibration parameters manually.

## Tags

Calibration

## Long Description

The application allows converting pixel values from DN (for Digital Numbers) to reflectance. Calibrated values are called surface reflectivity and its values lie in the range [0, 1]. The first level is called Top Of Atmosphere (TOA) reflectivity. It takes into account the sensor gain, sensor spectral response and the solar illuminations. The second level is called Top Of Canopy (TOC) reflectivity. In addition to sensor gain and solar illuminations, it takes into account the optical thickness of the atmosphere, the atmospheric pressure, the water vapor amount, the ozone amount, as well as the composition and amount of aerosol gasses. It is also possible to indicate an AERONET file which contains atmospheric parameters (version 1 and version 2 of Aeronet file are supported. Note that computing TOC reflectivity will internally compute first TOA and then TOC reflectance. -------------------------- If the sensor is not supported by the metadata interface factory of OTB, users still have the possibility to give the needed parameters to the application. For TOA conversion, these parameters are : - day and month of acquisition, or flux normalization coefficient; - sun elevation angle; - gains and biases, one pair of values for each band (passed by a file); - solar illuminations, one value for each band (passed by a file). For the conversion from DN (for Digital Numbers) to spectral radiance (or 'TOA radiance') L, the following formula is used : (1) L(b) = DN(b)/gain(b)+bias(b) (in W/m2/steradians/micrometers) with b being a band ID. These values are provided by the user thanks to a simple txt file with two lines, one for the gains and one for the biases. Each value must be separated with colons (:), with eventual spaces. Blank lines are not allowed. If a line begins with the '#' symbol, then it is considered as comments. Note that sometimes, the values provided by certain metadata files assume the formula L(b) = gain(b)*DC(b)+bias(b). In this case, be sure to provide the inverse gain values so that the application can correctly interpret them. In order to convert TOA radiance to TOA reflectance, the following formula is used : (2) R(b) = (pi*L(b)*d*d) / (ESUN(b)*cos(θ)) (no dimension) where : - L(b) is the spectral radiance for band b - pi is the famous mathematical constant (3.14159...) - d is the earth-sun distance (in astronomical units) and depends on the acquisition's day and month - ESUN(b) is the mean TOA solar irradiance (or solar illumination) in W/m²/micrometers - θ is the solar zenith angle in degrees. Note that the application asks for the solar elevation angle, and will perfom the conversion to the zenith angle itself (ze. angle = 90° - el. angle). Note also that ESUN(b) not only depends on the band b, but also on the spectral sensitivity of the sensor in this particular band. In other words, the influence of spectral sensitivities is included within the ESUN different values. These values are provided by the user thanks to a txt file following the same convention as before. Instead of providing the date of acquisition, the user can also provide a flux normalization coefficient 'fn'. The formula used instead will be the following : (3) R(b) = (pi*L(b)) / (ESUN(b)*fn*fn*cos(θ)) Whatever the formula used (2 or 3), the user should pay attention to the interpretation of the parameters he will provide to the application, by taking into account the original formula that the metadata files assumes. Below, we give two examples of txt files containing information about gains/biases and solar illuminations : - gainbias.txt : # Gain values for each band. Each value must be separated with colons (:), with eventual spaces. Blank lines not allowed. 10.4416 : 9.529 : 8.5175 : 14.0063 # Bias values for each band. 0.0 : 0.0 : 0.0 : 0.0 - solarillumination.txt : # Solar illumination values in watt/m2/micron ('micron' means actually 'for each band'). # Each value must be separated with colons (:), with eventual spaces. Blank lines not allowed. 1540.494123 : 1826.087443 : 1982.671954 : 1094.747446 Finally, the 'Logs' tab provides useful messages that can help the user in knowing the process different status.

## Parameters

- [param] -in <string> Input image filename (values in DN). Mandatory: True. Default Value: ""
- [param] -out <string> Output calibrated image filename. Mandatory: True. Default Value: ""
- [param] -ram <int32> Available memory for processing (in MB). Mandatory: False. Default Value: "128"
- [param] -milli <boolean> Flag to use milli-reflectance instead of reflectance. This allows saving the image with integer pixel type (in the range [0, 1000] instead of floating point in the range [0, 1]. In order to do that, use this option and set the output pixel type (-out filename double for example). Mandatory: False. Default Value: "True"
- [param] -clamp <boolean> Clamping in the range [0, 100]. It can be useful to preserve area with specular reflectance.. Mandatory: False. Default Value: "True"
- [param] -acqui <string> This group allows setting the parameters related to the acquisition conditions.. Mandatory: True. Default Value: "0"
- [param] -atmo <string> This group allows setting the atmospheric parameters.. Mandatory: True. Default Value: "0"
- [param] -inxml <string> Load otb application from xml file. Mandatory: False. Default Value: ""
- [param] -outxml <string> Save otb application to xml file. Mandatory: False. Default Value: ""
[choice] -level toa,toatoim,toc. Mandatory: True. Default Value: "toa"

- [group] -toa

- [group] -toatoim

- [group] -toc

## Limitations

None

## Authors

OTB-Team

## See Also

The OTB CookBook

## Example of use

- in: QB_1_ortho.tif

- level: toa

- out: OpticalCalibration.tif